package application;



import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.RadioButton;
import javafx.scene.control.TextField;
import javafx.scene.control.ToggleGroup;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.scene.paint.Color;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;
import javafx.stage.Stage;

// to create window to add items when clicked add button in main screen
public class AddPane extends GridPane  {

	 private Stage AddButtonStage ;
	 private Button save ;
	 private Button cancel;
 	 private TextField f1,f2,f3,f4;
 	 private RadioButton yes,no;
 	 private ToggleGroup group;
	 private Label t1,t2,t3,t4,t5,FinalLabel ;
	 
		AddPane(){
			super.setStyle("-fx-background-color:gray;");
			super.setAlignment(Pos.TOP_LEFT);
			super.setHgap(30);
			super.setVgap(20);
			super.setPadding(new Insets(10, 0, 0, 10));
			
			FinalLabel = new Label();
			FinalLabel.setFont(Font.font(null,FontWeight.BOLD,20));
			FinalLabel.setTextFill(Color.RED);
			
			save = new Button("Save");
			cancel = new Button("Cancel");
			
			f1 = new TextField();f1.setEditable(false);
			f2 = new TextField();f2.setEditable(false);
			f3 = new TextField();f3.setEditable(false);
			f4 = new TextField();f4.setEditable(false);
			
			f1.setStyle("-fx-text-fill: green;");
			f2.setStyle("-fx-text-fill: green;");
			f3.setStyle("-fx-text-fill: green;");
			f4.setStyle("-fx-text-fill: green;");
			
			t1 = new Label("Brand");
			t2 = new Label("Type");
			t3 = new Label("Quantity");
			t4 = new Label("Price");
			t5 = new Label("Brand Name");
			
			group = new ToggleGroup();
			yes  = new RadioButton("Yes");
			no  = new RadioButton("No");
			
			yes.setToggleGroup(group);
			no.setToggleGroup(group);
			
			Font font = Font.font(null,FontWeight.BOLD,15);
			t1.setFont(font);
			t2.setFont(font);
			t3.setFont(font);
			t4.setFont(font);
			t5.setFont(font);
			
			
			HBox h = new HBox(15);
			h.getChildren().addAll(save,cancel);
			
			super.add(t1, 0, 0);super.add(yes, 1, 0);
			super.add(no, 2, 0);super.add(t2, 0, 1);
			super.add(t3, 0, 2);super.add(f2, 1, 2);
			super.add(t4, 0, 3);super.add(f3, 1, 3);
			super.add(t5, 0, 4);super.add(f4, 1, 4);
			super.add(h, 1, 6);super.add(f1, 1, 1);
			super.add(FinalLabel, 1, 7);
			
			t5.setVisible(false);f4.setVisible(false);
			yes.setToggleGroup(group);	no.setToggleGroup(group);
			
			Scene scene = new Scene(this,600,400);
			AddButtonStage = new Stage();
			AddButtonStage.setScene(scene);
			AddButtonStage.setTitle("Add New Item");
		}	 	 
		
		/* The getter and setter*/
	 public Stage getStage() {
		 return AddButtonStage;
	 }
	 public Label getT1() {
		 return t1;
	 }
	 public Label getT2() {
		 return t2;
	 }
	 public Label getT3() {
		 return t3;
	 }
	 public Label getT4() {
		 return t4;
	 }
	 public Label getT5() {
		 return t5;
	 }
	public ToggleGroup getToggle() {
		 return group;
	 }
	public RadioButton GetNo() {
		 return no;
	 }
	public RadioButton GetYes() {
		 return yes;
	 }
	 public TextField getF1() {
		 return f1;
	 } 
	 public TextField getF2() {
		 return f2;
	 }
	 public TextField getF3() {
		 return f3;
	 }
	 public TextField getF4() {
		 return f4;
	 } 
	 public Button getSAVEbtn() {
		 return save;
	 }
	 public Button getCanelbtn() {
		 return cancel;
	 }
	 public Label getFinalLabel() {
		return FinalLabel;
	 }		
	
}