package application;

import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.ComboBox;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;
import javafx.stage.Stage;

//to create window to update items when clicked modify button in main screen

public class ModifyPane extends GridPane  {

	 private Stage ModifyButtonStage ;
	 private Button search1,search2,update,cancel ;
 	 private TextField type,quantity,brand,price;
 	 private ComboBox<String> comboBox ;
	 private Label t1,t2,t3,finalLabel ;
	
	 
	public ModifyPane() {
	
		super.setStyle("-fx-background-color:gray;");
		super.setAlignment(Pos.TOP_LEFT);
		super.setHgap(30);
		super.setVgap(20);
		super.setPadding(new Insets(10, 0, 0, 10));
	
		comboBox = new ComboBox<String>();
		comboBox.getItems().addAll("Brand","Not Brand");
		comboBox.setEditable(true);;
		
		t1 = new Label("Type");
		t2 = new Label("Quantity");
		t3 = new Label("Price");

		finalLabel = new Label("Done,its updated!! ");
		finalLabel.setVisible(false);
		finalLabel.setFont(Font.font(null,FontWeight.BOLD,20));
		
		Font font = Font.font(null,FontWeight.BOLD,15);
		t1.setFont(font);t2.setFont(font);t3.setFont(font);
		 
		 brand = new TextField();brand.setEditable(false);
	 	 type = new TextField();type.setEditable(false);
		 quantity = new TextField();quantity.setEditable(false);
		 price = new TextField();price.setEditable(false);
		 
		 search1 = new Button("Search");
		 search2 = new Button("Search");
		 update = new Button("Update");
		 cancel = new Button("Cancel");
		 HBox h = new HBox(15);
		 h.getChildren().addAll(update,cancel);
		 
		 type.setPromptText("Item Type");
		 type.setStyle("-fx-prompt-text-fill: green;");
		 brand.setPromptText("Brand Name");
		 brand.setStyle("-fx-prompt-text-fill: green;");
		
		 brand.setVisible(false);
		 search1.setVisible(false);
		 search2.setVisible(false);
	
		super.add(comboBox, 1, 1);super.add(finalLabel,2,8);
		super.add(t1, 0, 2);super.add(type, 1, 2);
		super.add(t2, 0, 3);super.add(quantity, 1, 3);
		super.add(t3, 0, 4);super.add(price, 1, 4);
		super.add(h, 2, 7);super.add(brand, 2, 2);
		super.add(search1, 2, 2);super.add(search2, 3, 2);
		
		Scene scene = new Scene(this,600,400);
		ModifyButtonStage = new Stage();
		ModifyButtonStage.setScene(scene);
		ModifyButtonStage.setTitle("Update Item");
		ModifyButtonStage.show();
	}
	
	/* setter and getter*/
	public Stage getModifyButtonStage() {
		return ModifyButtonStage;
	}
	public Button getSearch1() {
		return search1;
	}
	public Button getSearch2() {
		return search2;
	}
	public Button getUpdate() {
		return update;
	}
	public Button getCancel() {
		return cancel;
	}
	public TextField getTypefield() {
		return type;
	}
	public TextField getQuantityfield() {
		return quantity;
	}
	public TextField getBrandfield() {
		return brand;
	}
	public TextField getPricefield() {
		return price;
	}
	public ComboBox<String> getComboBox() {
		return comboBox;
	}
	public Label getFinalLabel() {
		return finalLabel;
	}
	
}