package application;


import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.VBox;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;
import javafx.stage.FileChooser;
import javafx.stage.Stage;

//This class to Create a window to select a file to read data and store it in array list in inventory

 public class SelecteFile extends VBox{
		Stage stage ;
		FileChooser fileChooser;
		Button bttn ;
		Label label;
		ImageView image;
		
		SelecteFile(){
			
			/* Create a window to select file from system */
			fileChooser = new FileChooser();
			fileChooser.setTitle("Open Resource File");
						
	   		 /* Create warning window display when reading done*/
	   		 bttn =new Button("OK.");
	   		 label = new Label("Done its Readed.");
	   		 label.setFont(Font.font(null,FontWeight.BOLD, 20));
	   		 image = new ImageView(new Image("C:\\Users\\Lenovo\\eclipse-workspace\\1211047_Mujahed_Abuali_Section1\\done.png"));
	   		 image.setFitHeight(50);
	   		 image.setFitWidth(50);
	   		 
	   		 super.getChildren().addAll(image,label,bttn);
	   		 super.setAlignment(Pos.CENTER);
	   		 super.setPadding(new Insets(15));
	   		 
	   		 Scene scene = new Scene(this,200,200); 
	   		 stage = new Stage();
	   		 stage.setScene(scene);	
		}
		public Stage getStage() {
			return stage;
		}
		public Button getButton() {
			return bttn;
		}
		public FileChooser getFileChooser() {
			return fileChooser;
		}		
}